import { defineStore } from 'pinia'
import { AxiosWrapper } from '@/utils/axios-wrapper'
const url = '/ec'
const axios = new AxiosWrapper()

export const ExportConfigStore = defineStore('exportConfig', () => {
  const dict = async (payload) => {
    const res = await axios.$get(`${url}/dict`)
    return res
  }
  const update = async (payload) => {
    const table = get(payload, 'table')
    const res = await axios.$post(`${url}/${table}`, payload)
    return res
  }
  const fetch = async (payload) => {
    const res = await axios.$get(`${url}/user/${payload}`)
    return res
  }
  const mission = async (payload) => {
    const res = await axios.$post(`/asyncExport`, payload)
    return res
  }
  const query = async ({ skip = 0, limit = undefined, ...info } = {}) => {
    let cond = {}
    if (skip) cond.skip = skip
    if (limit) cond.limit = limit
    cond = { ...cond, ...info }
    const res = await axios.$get(`/asyncExport`, cond)
    return res
  }
  const reExecute = async (payload) => {
    const res = await axios.$post(`/asyncExport/reExecute`, { id: payload })
    return res
  }

  return {
    fetch,
    mission,
    query,
    reExecute
  }
})
