import { defineStore } from 'pinia'
import { get, omit } from 'lodash-es'
import { AxiosWrapper } from '@/utils/axios-wrapper'
const axios = new AxiosWrapper()
export const LoginStore = defineStore('login', () => {
  const login = async (payload) => {
    const type = get(payload, 'type')
    const np = omit(payload, 'type')
    const res = await axios.$post(`/login/${type}`, np)
    return res
  }
  const rp = async (payload) => {
    const type = get(payload, 'type')
    const np = omit(payload, 'type')
    const res = await axios.$post(`/login/updatePwd/${type}`, np)
    return res
  }
  const rpNoNewPassword = async (payload) => {
    const type = get(payload, 'type')
    const np = omit(payload, 'type')
    const res = await axios.$post(`/login/resetPwd/${type}`, np)
    return res
  }
  const loginSmsCode = async (payload) => {
    const result = await axios.$post(`/login/sms/code`, payload)
    return result
  }
  const loginBySms = async (payload) => {
    const result = await axios.$post(`/login/sms/login`, payload)
    return result
  }
  /**找回密码-1.获取验证码 */
  const pwdCode = async (payload) => {
    const result = await axios.$post(`/login/pwd/code`, payload)
    return result
  }
  /**找回密码-2.验证码验证 */
  const pwdCheck = async (payload) => {
    const result = await axios.$post(`/login/pwd/check`, payload)
    return result
  }
  /**找回密码-3.密码重置 */
  const pwdReset = async (payload) => {
    const result = await axios.$post(`/login/pwd/reset`, payload)
    return result
  }
  /**注册-1.获取验证码 */
  const regCode = async (payload) => {
    const result = await axios.$post(`/login/reg/code`, payload)
    return result
  }
  /**注册-2.验证码验证 */
  const regCheck = async (payload) => {
    const result = await axios.$post(`/login/reg/check`, payload)
    return result
  }
  return { login, rp, rpNoNewPassword, loginSmsCode, loginBySms, pwdCode, pwdCheck, pwdReset, regCode, regCheck }
})
