import { defineStore } from 'pinia'
import { AxiosWrapper } from '@/utils/axios-wrapper'
const url = '/contactApply'
const axios = new AxiosWrapper()

export const ContactApplyStore = defineStore('contactApply', () => {
  const query = async ({ skip = 0, limit = undefined, ...info } = {}) => {
    let cond = {}
    if (skip) cond.skip = skip
    if (limit) cond.limit = limit
    cond = { ...cond, ...info }
    const res = await axios.$get(`${url}`, cond)
    return res
  }
  const fetch = async (payload) => {
    const res = await axios.$get(`${url}/${payload}`)
    return res
  }
  const create = async (payload) => {
    const res = await axios.$post(`${url}`, payload)
    return res
  }
  const signCreate = async (payload) => {
    const res = await axios.$post(`${url}/sign`, payload)
    return res
  }
  return {
    query,
    fetch,
    create,
    signCreate
  }
})
