// from 起始数字
// to 最终数字
// duration 延迟间隔(ms)
// onProgress 更新回调函数
export const useNumberAnimation = (options) => {
  const { from, to, duration, onProgress } = options
  let value = from
  // 算出增长速度
  const speed = (to - from) / duration
  // 起始时间
  const startTime = Date.now()
  const run = () => {
    //时间间隔
    const t = Date.now() - startTime //当时间间隔大于延迟时间时终止
    if (t >= duration) {
      value = to
      onProgress?.(value)
      return
    }
    // 当前值 = 起始值 + 时间间隔 *增长速度
    value = from + t * speed
    onProgress?.(value)
    // 继续执行
    requestAnimationFrame(run)
  }
  run()
}
